Last Comment Bug 666437 - Allow extensions installed from certain locations to be disabled by default
: Allow extensions installed from certain locations to be disabled by default
Status: VERIFIED FIXED
[qa!]
: dev-doc-complete, verified-aurora, verified-beta
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: mozilla7
Assigned To: Dave Townsend [:mossop]
:
Mentors:
Depends on:
Blocks: 476430
  Show dependency treegraph
 
Reported: 2011-06-22 16:46 PDT by Dave Townsend [:mossop]
Modified: 2011-11-03 07:22 PDT (History)
6 users (show)
dtownsend: in‑testsuite+
dtownsend: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch rev 1 (8.28 KB, patch)
2011-06-22 16:47 PDT, Dave Townsend [:mossop]
robert.strong.bugs: review+
Details | Diff | Review

Description Dave Townsend [:mossop] 2011-06-22 16:46:40 PDT
To support bug 476430 we want to be able to mark certain install locations as installing their add-ons disabled by default.
Comment 1 Dave Townsend [:mossop] 2011-06-22 16:47:41 PDT
Created attachment 541226 [details] [diff] [review]
patch rev 1

This adds the pref extensions.autoDisableScopes. By default it isn't set to anything so all add-ons install enabled as normal.
Comment 2 Robert Strong [:rstrong] (use needinfo to contact me) 2011-06-23 12:04:57 PDT
Comment on attachment 541226 [details] [diff] [review]
patch rev 1

>diff --git a/toolkit/mozapps/extensions/test/xpcshell/test_startup.js b/toolkit/mozapps/extensions/test/xpcshell/test_startup.js
>--- a/toolkit/mozapps/extensions/test/xpcshell/test_startup.js
>+++ b/toolkit/mozapps/extensions/test/xpcshell/test_startup.js
>...
>+}
>\ No newline at end of file
nit
Comment 3 Dave Townsend [:mossop] 2011-06-28 11:51:59 PDT
Landed: http://hg.mozilla.org/mozilla-central/rev/25b6b9df083e
Comment 4 Henrik Skupin (:whimboo) 2011-08-11 09:20:28 PDT
Dave, would that require devdoc or userdoc needed?
Comment 5 Dave Townsend [:mossop] 2011-08-11 09:36:08 PDT
Yeah it's probably worth documenting this for other application's that want to use it
Comment 7 Vlad [QA] 2011-11-03 07:22:30 PDT
Setting resolution to Verified Fixed on 
Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0 beta 6 build 2.
Mozilla/5.0 (Windows NT 6.1; rv:9.0a2) Gecko/20111102 Firefox/9.0a2
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111031 Firefox/10.0a1
also on Ubuntu, MacOS X and WinXP

The extention is disabled at Firefox startup and the warning appears every time.
Also, the pref extensions.autoDisableScopes is present.

Note You need to log in before you can comment on or make changes to this bug.